<?php 
require_once(dirname(dirname(__FILE__))."/paineladm/funcoes.php");
$pathlocal = dirname(__FILE__);
$sessao = new sessao();
$cliente=strtoupper($sessao->getVar('cliente'));
$senhaCli=$sessao->getVar('iduser');
$idLabo=$sessao->getVar('idLabo');
$nomeOperador=$sessao->getVar('nomeuser');
$amostraLong=$sessao->getVar('amostraLong');
//echo("xxxxx Operador: $nomeOperador idlabo=$idLabo amostraLong=$amostraLong<br>");
//AQUI SO COLOCA OS TESTES E INFORMA O NUMERO DE TESTES NO FINAL O RESTO FICA PRONTO AUTOMATICAMENTE SO NAO PODE FICAR TROCANDO OS NOMES

		//vai inserir contaminante   este lixo aqui pode ser utilllllllll
		if (isset($_POST['gravar-N-NocivasXXX'])):
             //echo("xxxxxxxxxxxxxesta no gravar<br>");
	         $quantia=1;
             $codigo='NOCT';
             //AQUI VAI PRODCURAR O CODIGO DO CONTAMINANTE E SE NAO ACHA VAI INCLUIR UM IMEDIATAMENTE PARA TER QUANDO PRECISASR 
	 	 	$generica=new tabelagenerica();
			$generica->tabela="contaminantes";
			$generica->campos_valores = array(
					"con_id" => NULL,
				);
			$generica->extras_select =" where con_nome_cientifico='-N-'";
		    $generica->selecionaCampos($generica);
            $idContaminante=0;
			while ($resgenerica = $generica->retornaDados()):
			    $idContaminante=$resgenerica->con_id;
		    endwhile;
            //se nao achou vai incluir um  
            if($idContaminante==0):
			     $sql="insert into contaminantes(con_nome_cientifico) values('-N-')";
		         $userNota = new generica();
	             $userNota->campos_valores = $sql;				 
				 $userNota->inserirEspecial($userNota);
				 $idContaminante=$userNota->linhasafetadas;
			endif;
			echo("kkkkkkidContaminante=$idContaminante<br>");
            //insere o contaminante -N- na amostra
		   $sqli="insert into invasoras(inv_amostra,inv_cod_praga,inv_qtd,inv_codigo) values('$amostraLong','$idContaminante','$quantia','$codigo')";
	       $generica=new tabelagenerica();//chama a rotina generica de execução de sql insertt delete update
           $generica->grava_registro_com_retorno($sqli);
		endif;//comando gravar


		if (isset($_POST['deletaTudo'])):
                if(isset($_POST['confirmaCheque'])):
	 			    $sqld="delete from invasoras where inv_amostra=".$amostraLong;
					$generica=new tabelagenerica();//chama a rotina generica de execução de sql insertt delete update
				    $generica->grava_registro_com_retorno($sqld);
					printMSG('Excluiu os contaminantes desta amostra !' ,'alerta');	
                else:
					printMSG('Caso realmente deseja excluir os contaminantes desta amostra entao clique SIM.' ,'alerta');	
				endif;


		endif;//comando gravar


 


                
?>







<html>
<body bgcolor="#b8cfe2">
<form class="userform" method="post" action="">
     <fieldset>
      CASOS ESPECIAIS(Tenha cuidado, pois estes comandos limpam dados anteriores que porventura existam NESTA amostra!)
      <table>
      <tr>
	  <td>
	     <input type="submit"   name="deletaTudo"  value="Deleta Tudo"  />
	     Sim<input type="checkbox"  name="confirmaCheque"   value=""  /></td>
		 	
	  </td>
	  
	  </tr>
	
	
	
	
		</table>











</form>
</body>



</html>
